package md

type MqQueue struct {
	ExchangeName   string `json:"exchangeName"`     //交换机名字
	Name           string `json:"name"`             //队列名字
	Type           string `json:"type"`             //队列类型
	IsPersistent   bool   `json:"is_persistent"`    //队列是否持久化
	RoutKey        string `json:"rout_key"`         //路由
	BindKey        string `json:"bind_key"`         //绑定的路由
	ConsumeFunName string `json:"consume_fun_name"` //消费方法
}

var RabbitMqQueueKeyList = []*MqQueue{
	{
		ExchangeName:   "canal.topic",
		Name:           "canal_order",
		Type:           TopicQueueType,
		IsPersistent:   false,
		RoutKey:        "canal_mall_order",
		BindKey:        "",
		ConsumeFunName: "CanalOrderConsume",
	},
	{
		ExchangeName:   "canal.topic",
		Name:           "canal_guide_order",
		Type:           TopicQueueType,
		IsPersistent:   false,
		RoutKey:        "canal_order_list",
		BindKey:        "",
		ConsumeFunName: "CanalGuideOrderConsume",
	},
	{
		ExchangeName:   "zhios.app.user.visit.ip.address.exchange",
		Name:           "zhios_user_visit_ip_address_queue",
		Type:           FanOutQueueType,
		IsPersistent:   false,
		RoutKey:        "queue_one",
		BindKey:        "",
		ConsumeFunName: "ZhiOsUserVisitIpAddressConsume",
	},
}

const (
	CanalOrderConsumeFunName              = "CanalOrderConsume"
	CanalGuideOrderConsumeFunName         = "CanalGuideOrderConsume"
	ZhiOsUserVisitIpAddressConsumeFunName = "ZhiOsUserVisitIpAddressConsume"
)
